% 2019-10-14
clear
clc
format compact % (sonst werden viele Leerzeilen eingefgt)
% "Taschenrechner"
3*7 % Ergebnis wird der Variablen 'ans' zugewiesen
5+4^2/8 % Punkt- vor Strichrechnung
x_25=3*7 % Zuweisung des Ergebnis zu einer Variablen
% built-in Funktionen und Konstanten
cos(pi/3) 
exp(5)
log(ans) % log(...) ist der natrliche Logarithmus
sin(x_25) % Funktion auf Variable angewendet
clc
% Arrays
A=[1 3 5] % Zeilenvektor bzw. 1x3-Matrix
B=[2;4;6;8] % Spaltenvektor bzw 4x1-Matrix; Semikolon = Zeilenumbruch
B=[2 4 6 8]' % dasselbe, das Apostroph transponiert
C=[1 2 ; 3 4] % 2x2-Matrix
D=[1 2 3 ; 4 5 6] % 2x3-Matrix
E=[1 2;3 4;5 6] % 3x2-Matrix
% Arrays indizieren
A(2)
B(3)
C(1,2) % Indizes bedeuten immer (Zeile,Spalte)
% D(3,2) % ERROR erster Index zu gro
E(end,end) % erster Index ist immer 1, letzter ist durch 'end' abrufbar
% indizieren mit ':', gelesen 'bis'
B(2:4)
E(2:3,2)
% indizieren mit Array von Indizes
E([3 2],2)
% Arrays erstellen mit ':'
F=10:20 % automatisch Einser-Schritte angenommen
F=10:0.5:20
G=0:0.1:1
H=0:-0.1:-1
clc
% Rechnen mit Arrays; zuerst + und -
A+A % gleiche Gre geht immer
A+7 % Array + Skalar geht immer
A+B % 1xn + mx1 geht 
% A+B' % ERROR 1xn + 1xm geht nur wenn n=m 
E-A' % mxn + 1xn geht
E'-A % ebenso mxn + mx1
% E-A % ERROR Dimensionen passen nicht zusammen
clc
% Rechnen mit Arrays: * und / bzw .* und ./
2*E % Skalar*Array geht immer, auch Array*Skalar
A/3 % auch Array/Skalar
E.*D' % zwei Arrays gleicher Gre werden mit .* (./) 
      % ELEMENTWEISE multipliziert (dividiert)
E./D'
G.*H
G./H % neu: NaN = not a number, wenn ein Ergebnis undefiniert ist, hier 0/0
1./C % elementweise das Reziproke eines Arrays
clc
% MATRIXmultiplikation nach den entsprechenden Regeln
% Multiplikation * (nicht .*) wird immer als Matrixoperation verstanden
% Division / (nicht ./) auch, ist aber etwas schwieriger -> spter
A
A'
% A*A % ERROR, Zeilenzahl von A # Spaltenzahl von A
A*A' % geht, da Spaltenzahl von A = 3 = Zeilenzahl von A'
     % und entspricht dem Skalarprodukt von A mit sich selbst
     % d.h. das Ergebnis ist eine 1x1-Matrix bzw. ein Skalar
A'*A % geht auch, da Spaltenzahl von A' = 1 = Zeilenzahl von A
     % und entspricht dem ueren oder dyadischen Produkt von A mit sich selbst
     % d.h. das Ergebnis ist eine 3x3-Matrix
clc     
% 2019-10-21
% Rechnen mit Arrays: .^ und ^
G.^2 % elementweise quadriert
G.^0.5 % elementweise Wurzel
% G^2 % ERROR: wird als Matrixmultiplikation interpretiert, 
    % dazu muss aber G eine quadratische Matrix sein 
% Funktionen von Arrays
sqrt(G) % elementweise Wurzel, dasselbe wie G.^0.5
exp(G) % elementweise Exponentialfkt.
% Es gibt auch Matrix-Funktionen wie expm(...) -> spter