% 2-dim. Schwingung

T=1;
omega=2*pi/T;
R=10;
m=3; 
E0=(m/2)*(omega*R)^2;

% Teilaufgabe c)
r0=[R;0;0];
v0=[0;R*omega/2;0];
r1=r0
r2=v0/omega

t=(-1:0.01:2)*T;
r=r1*cos(omega*t)+r2*sin(omega*t);
x=r(1,:);
y=r(2,:);
rbetrag=sqrt(r(1,:).^2+r(2,:).^2+r(3,:).^2);

figure(1); plot(x,y); grid;
figure(2); plot(t,x,t,y); grid

v=-r1*omega*sin(omega*t)+r2*omega*cos(omega*t);
vbetrag=sqrt(v(1,:).^2+v(2,:).^2+v(3,:).^2);

Epot=E0/R^2*rbetrag.^2;
Ekin=m/2*vbetrag.^2;

figure(3); plot(t,Epot,t,Ekin,t,Epot+Ekin); grid


