% Fourier-Analyse
% Ton von 4 Stimmgabeln

dt=1e-4;
T=1;
t=0:dt:T-dt;

ton1=1.00*cos(2*pi*431*t+pi/4);
ton2=0.50*cos(2*pi*439*t);
ton3=2.00*cos(2*pi*440*t+pi/3);
ton4=1.25*cos(2*pi*446*t-3*pi/5);
    
ton=ton1+ton2+ton3+ton4;
figure(1); plot(t,ton)

f=425:450;
for n=1:length(f)
    a(n)=2/T*sum(ton.*cos(2*pi*f(n)*t))*dt;
    b(n)=2/T*sum(ton.*sin(2*pi*f(n)*t))*dt;
end
A=sqrt(a.^2+b.^2);
phi=atan2(b,a);
figure(2); plot(f,a,'*-',f,b,'o-',f,A,'s-'); grid
phi(5+[2,10,11,17])/pi

spek=fft(ton);
Aspek=abs(spek);
figure(4); plot(f,Aspek(f+1)/5000); grid