clc
clear
G=0:0.1:1 % Zeilenvektor
H=0:-0.1:-1 % Zeilenvektor
sin(G) % elementweise Funktion
exp(G) % dito
1./G % elementweise Reziprokes
G.^0.5 % elementweise Potenz
G./H % elementweise Division zweier Arrays gleicher Gre
G.*H % elementweise Multiplikation zweier Arrays gleicher Gre
% grafische Darstellung
% plot(x-Array,y-array,Optionen) : einfache 2-dim. Auftragung
figure(1); plot(G,G.^0.5,'r*',H,H.^2,'b-o',G,H.^2)
pause
x=0:0.1:100;
y1=sin(x);
y2=sin(x).*exp(-x/30);
figure(2); plot(x,y1,x,y2)
figure(3); plot(x,y1,'r-*')
figure(4); hist(y1) % hist(Array) : Hufigkeitsverteilung der Werte in Array
pause
% Darstellung einer Kreisbewegung (in 2 x-z-Ebene, d.h. hier y=0)
T=10;
om=2*pi/T;
R=2;
t=0:0.1:9;
x=R*cos(om*t); % x-Komponente des Ortsvektors
z=R*sin(om*t); % z-Komponente des Ortsvektors
figure(5); plot(x,z); grid % z gegen x aufgetragen: Kreis 