% ME03
clc; clear;

T=2; omega=2*pi/T;
t=0:0.01:5; % Versuchen Sie auch Schrittweite 0.1 und 0.001
for n=1:length(t)
    c(n)=cos(omega*t(n));
end
figure(1); plot(t,c); pause
c1=cos(omega*t); % vektorielle Berechnung
% Vergleich Schleife gegen vektoriell
figure(1); plot(t,c,t,c1); pause 

F(1)=1; F(2)=1; % Beginn der Fibonacci-Folge
for n=3:20
    F(n)=F(n-2)+F(n-1);
end
F % Ausgabe der Fibonacci-Zahlen
figure(2); plot(1:20,F,'*'); pause
figure(2); plot(1:20,log10(F),'*'); pause

for n=1:19
    Q(n)=F(n+1)/F(n);
end
figure(3); plot(1:19,Q,'*'); grid; pause
gs=(1+sqrt(5))/2;
figure(3); plot(1:19,Q/gs,'*'); grid; pause
Q1=F(2:end)./F(1:end-1); % vektorielle Berechnung
% plot im Vergleich
figure(3); plot(1:19,Q/gs,'*',1:19,Q1/gs,'*'); grid; pause

for n=1:length(t)-1
    dcdt(n)=(c(n+1)-c(n))./(t(n+1)-t(n));
end
% plot im Vergleich Schleife mit direkter Berechnung
figure(4); plot(t(1:end-1),dcdt,t,-omega*sin(omega*t)); grid; pause

Icdt(1)=0;
for n=2:length(t)
    Icdt(n)=Icdt(n-1)+c(n)*(t(n)-t(n-1));
end
% plot im Vergleich Schleife mit direkter Berechnung
figure(5); plot(t,Icdt,t,1/omega*sin(omega*t)); grid; pause
